<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>Uses of Class fr.ici.dataImporter.iciObjects.POI</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="use: package: fr.ici.dataImporter.iciObjects, class: POI">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class fr.ici.dataImporter.iciObjects.POI" class="title">Uses of Class<br>fr.ici.dataImporter.iciObjects.POI</h1>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Packages that use <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Package</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.iciObjects.iris">fr.ici.dataImporter.iciObjects.iris</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.insee">fr.ici.dataImporter.insee</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.osm">fr.ici.dataImporter.osm</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.paris">fr.ici.dataImporter.paris</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.util">fr.ici.dataImporter.util</a></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="fr.ici.dataImporter.iciObjects">
<h2>Uses of <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a> in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Subclasses of <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a> in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Class</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> that return types with arguments of type <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static org.apache.commons.lang3.tuple.Pair&lt;java.util.List&lt;<a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;,&#8203;java.util.List&lt;<a href="../WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a>&gt;&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">POI.</span><code><span class="member-name-link"><a href="../POI.html#affectRoomLeft(java.util.List,java.util.List,java.io.File,java.util.List)">affectRoomLeft</a></span>&#8203;(java.util.List&lt;<a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.util.List&lt;<a href="../WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a>&gt;&nbsp;lWP,
java.io.File&nbsp;irisFile,
java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</code></th>
<td class="col-last">
<div class="block">Affect <a href="../Building.html#roomLeft"><code>Building.roomLeft</code></a> to any POI present in a building</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">POI.</span><code><span class="member-name-link"><a href="../POI.html#delDouble(java.util.List,java.util.List,java.io.File,java.util.HashMap)">delDouble</a></span>&#8203;(java.util.List&lt;? extends <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.util.List&lt;<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;&nbsp;lBuilding,
java.io.File&nbsp;irisFile,
java.util.HashMap&lt;java.lang.String,&#8203;java.lang.Boolean&gt;&nbsp;couldBeDoubled)</code></th>
<td class="col-last">
<div class="block">Check for every POI if they can be considered as a double.</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">POI.</span><code><span class="member-name-link"><a href="../POI.html#importPOI(java.io.File)">importPOI</a></span>&#8203;(java.io.File&nbsp;poiFile)</code></th>
<td class="col-last">
<div class="block">Import POI from an already generated file.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">POI.</span><code><span class="member-name-link"><a href="../POI.html#importPOIFromUsualSources(java.io.File,java.util.List)">importPOIFromUsualSources</a></span>&#8203;(java.io.File&nbsp;rootFolder,
java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lB)</code></th>
<td class="col-last">
<div class="block">Import POI the way root folder is organized</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Method parameters in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> with type arguments of type <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static org.apache.commons.lang3.tuple.Pair&lt;java.util.List&lt;<a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;,&#8203;java.util.List&lt;<a href="../WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a>&gt;&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">POI.</span><code><span class="member-name-link"><a href="../POI.html#affectRoomLeft(java.util.List,java.util.List,java.io.File,java.util.List)">affectRoomLeft</a></span>&#8203;(java.util.List&lt;<a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.util.List&lt;<a href="../WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a>&gt;&nbsp;lWP,
java.io.File&nbsp;irisFile,
java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</code></th>
<td class="col-last">
<div class="block">Affect <a href="../Building.html#roomLeft"><code>Building.roomLeft</code></a> to any POI present in a building</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">POI.</span><code><span class="member-name-link"><a href="../POI.html#delDouble(java.util.List,java.util.List,java.io.File,java.util.HashMap)">delDouble</a></span>&#8203;(java.util.List&lt;? extends <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.util.List&lt;<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;&nbsp;lBuilding,
java.io.File&nbsp;irisFile,
java.util.HashMap&lt;java.lang.String,&#8203;java.lang.Boolean&gt;&nbsp;couldBeDoubled)</code></th>
<td class="col-last">
<div class="block">Check for every POI if they can be considered as a double.</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><span class="type-name-label">POI.</span><code><span class="member-name-link"><a href="../POI.html#exportListPOI(java.util.List,java.io.File)">exportListPOI</a></span>&#8203;(java.util.List&lt;? extends <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.io.File&nbsp;fileOut)</code></th>
<td class="col-last">
<div class="block">Write a list of POI in a geographic collection</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><span class="type-name-label">WorkingPlace.</span><code><span class="member-name-link"><a href="../WorkingPlace.html#exportListWorkingPlace(java.util.List,java.io.File)">exportListWorkingPlace</a></span>&#8203;(java.util.List&lt;? extends <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lWP,
java.io.File&nbsp;fileOut)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><span class="type-name-label">POI.</span><code><span class="member-name-link"><a href="../POI.html#relocatePOItoClosestBuilding(java.util.List,java.util.List)">relocatePOItoClosestBuilding</a></span>&#8203;(java.util.List&lt;? extends <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.iciObjects.iris">
<h2>Uses of <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a> in <a href="../iris/package-summary.html">fr.ici.dataImporter.iciObjects.iris</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Method parameters in <a href="../iris/package-summary.html">fr.ici.dataImporter.iciObjects.iris</a> with type arguments of type <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><span class="type-name-label">IRISUtil.</span><code><span class="member-name-link"><a href="../iris/IRISUtil.html#summarizeIRIS(org.geotools.data.simple.SimpleFeatureCollection,java.util.List,java.util.List,java.util.List,java.util.List,java.util.List,java.io.File)">summarizeIRIS</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisGeom,
java.util.List&lt;<a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.util.List&lt;<a href="../WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a>&gt;&nbsp;lWP,
java.util.List&lt;<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;&nbsp;lBuilding,
java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lHH,
java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;lIndiv,
java.io.File&nbsp;outputFile)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.insee">
<h2>Uses of <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a> in <a href="../../insee/package-summary.html">fr.ici.dataImporter.insee</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Subclasses of <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a> in <a href="../../insee/package-summary.html">fr.ici.dataImporter.insee</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Class</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../../insee/BpePOI.html" title="class in fr.ici.dataImporter.insee">BpePOI</a></span></code></th>
<td class="col-last">
<div class="block">POI extracted from the Base des Equipements Publics, produced by the INSEE.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../../insee/SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></span></code></th>
<td class="col-last">
<div class="block">Abstract class for any SIRENE related object</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../../insee/SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a></span></code></th>
<td class="col-last">
<div class="block">Object for a Point Of Interest extracted from the SIRENE database</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../../insee/SireneWorkingPlace.html" title="class in fr.ici.dataImporter.insee">SireneWorkingPlace</a></span></code></th>
<td class="col-last">
<div class="block">Represents a place declared for having an economic or associative activity.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.osm">
<h2>Uses of <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a> in <a href="../../osm/package-summary.html">fr.ici.dataImporter.osm</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Subclasses of <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a> in <a href="../../osm/package-summary.html">fr.ici.dataImporter.osm</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Class</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../../osm/OsmPOI.html" title="class in fr.ici.dataImporter.osm">OsmPOI</a></span></code></th>
<td class="col-last">
<div class="block">OpenStreetMap point of interest. types are gotten from the https://geodatamine.fr/ project</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.paris">
<h2>Uses of <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a> in <a href="../../paris/package-summary.html">fr.ici.dataImporter.paris</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Subclasses of <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a> in <a href="../../paris/package-summary.html">fr.ici.dataImporter.paris</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Class</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../../paris/ApurPOI.html" title="class in fr.ici.dataImporter.paris">ApurPOI</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../../paris/ApurWorkingPlace.html" title="class in fr.ici.dataImporter.paris">ApurWorkingPlace</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.util">
<h2>Uses of <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a> in <a href="../../util/package-summary.html">fr.ici.dataImporter.util</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Method parameters in <a href="../../util/package-summary.html">fr.ici.dataImporter.util</a> with type arguments of type <a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><span class="type-name-label">POIUtil.</span><code><span class="member-name-link"><a href="../../util/POIUtil.html#exportHighAttendancePOI(java.util.List,java.io.File)">exportHighAttendancePOI</a></span>&#8203;(java.util.List&lt;<a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.io.File&nbsp;fileOut)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
